Package be.ehealth.businessconnector.ehbox.api.domain

# Class DocumentMessage<T>

java.lang.Object
be.ehealth.businessconnector.ehbox.api.domain.Message<T>
be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Serializable`

public class DocumentMessage<T> extends Message<T>
DocumentMessage class declaration. Extends : `Message`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<Document>`
  `getAnnexList()`
  `final Document`
  `getBody()`
  `List<String>`
  `getCopyMailTo()`
  `final String`
  `getDocumentTitle()`
  `Map<String,String>`
  `getFreeInformationTableRows()`
  `String`
  `getFreeInformationTableTitle()`
  `final String`
  `getFreeText()`
  `final String`
  `getPatientInss()`
  `final void`
  `setBody(Document body)`
  Sets a document body as defined in the eHealtBox v.3 Publication WS cookbook.
  `void`
  `setFreeInformationTableRows(Map<String,String> freeInformationTableRows)`
  `void`
  `setFreeInformationTableTitle(String freeInformationTableTitle)`
  `final void`
  `setFreeText(String freeText)`
  `final void`
  `setPatientInss(String patientInss)`

  ### Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message

  `generatePublicationId, getCustomMetas, getDestinations, getExpirationDateTime, getId, getOriginal, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setOriginal, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentMessage

    public DocumentMessage()

- ## Method Details

  - ### getDocumentTitle

    public final String getDocumentTitle()
    Returns:
      the document title

  - ### getBody

    public final Document getBody()
    Returns:
      the document

  - ### setBody

    public final void setBody(Document body)

    Sets a document body as defined in the eHealtBox v.3 Publication WS cookbook. the connector translates this body in the WS interface as EncryptableTextContent in the Document xml element.

    Parameters:
      `body` - the document body to set

  - ### getFreeText

    public final String getFreeText()
    Returns:
      the freeText

  - ### setFreeText

    public final void setFreeText(String freeText)
    Parameters:
      `freeText` - the freeText to set

  - ### getPatientInss

    public final String getPatientInss()
    Returns:
      the patientInss

  - ### setPatientInss

    public final void setPatientInss(String patientInss)
    Parameters:
      `patientInss` - the patientInss to set

  - ### getAnnexList

    public final List<Document> getAnnexList()
    Returns:
      the annex list

  - ### getCopyMailTo

    public List<String> getCopyMailTo()
    Returns:
      the copyMailTo

  - ### getFreeInformationTableTitle

    public String getFreeInformationTableTitle()
    Returns:
      the freeInformationTableTitle

  - ### setFreeInformationTableTitle

    public void setFreeInformationTableTitle(String freeInformationTableTitle)
    Parameters:
      `freeInformationTableTitle` - the freeInformationTableTitle to set

  - ### getFreeInformationTableRows

    public Map<String,String> getFreeInformationTableRows()
    Returns:
      the freeInformationTableRows

  - ### setFreeInformationTableRows

    public void setFreeInformationTableRows(Map<String,String> freeInformationTableRows)
    Parameters:
      `freeInformationTableRows` - the freeInformationTableRows to set